Bug 130551 - Termcap 5.4 doesn't compile
Termcap 5.4 doesn't compile
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: termcap (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-21 13:36 EDT by Steve Grubb
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 5.4-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-23 17:42:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2004-08-21 13:36:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4.2)
Gecko/20040308

Description of problem:
The brand new termcap in rawhide doesn't compile.

Version-Release number of selected component (if applicable):
termcap-5.4-2

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -bb termcap.spec

Actual Results:     1:termcap               
########################################### [100%]
Executing(%prep): /bin/sh -e /home/build/working/tmp/rpm-tmp.98198
patching...
Patch #20 (ncurses-5.4-20040718.patch.gz):
This file doesn't appear to be the 1.826 version -- patch anyway? [n]
 
RPM build errors:
Compile failed building termcap

Expected Results:  A message stating where the rpms were written.

Additional info:
Comment 1 Steve Grubb 2004-08-21 13:48:08 EDT
Disabling patch 20, 21, & 2 lets it build. Not sure about the effects
of disabling all those patches.
Comment 2 Nalin Dahyabhai 2004-08-23 14:57:51 EDT
Are you modifying the %prep section at all?  Do you have sharutils
installed?
Comment 3 Steve Grubb 2004-08-23 17:18:07 EDT
I only modified %prep to see if I could get it to compile.

The problem, as you hit on, is that a "BuildRequires: sharutils" is
needed. Adding that (and installing sharutils) let it compile.

Note You need to log in before you can comment on or make changes to this bug.